Tuesday, December 27, 2011

Computer Performance and Flash Player problem and solution

Having problems with the computer being slower that expected?

Is the Flash Player causing the CPU fan to sound too much? The Flash Player is known for using a lot of CPU and is often a first indicator that it’s time to clean the computer. Check the CPU temperature using for example Real Temp.

Vacuum cleaner and Gas duster (canned air/compressed air) can do magic with the computer performance and eliminate noise. Note! Shut down the operating system and remove the power cord.

You don’t want it to look like this.

Computer dust

All the dust will lead to overheating because it acts like an insulation blanket on heatsink cooling surfaces and clogging fan filters. Optical disk drives like CDROM and DVD are very vulnerable as they contain motors and servos as well as rely on a dust-free light path for the laser-light and optical lenses to function properly.  The keyboard and mouse are also affected by dust and might lead to stuck keys or sticky mouse movements.

When did you clean yours last time? When did your IT department perform cleaning of the office computers?

Thursday, December 22, 2011

Autodesk acquires T-Splines technology

Autodesk has acquired certain technology-related assets from T-Splines Inc., a privately-held surface modeling software company, based in Utah according to this short press release.

“The technology acquisition will strengthen our Digital Prototyping portfolio with more flexible free-form modeling and will help achieve even closer integration between industrial design and engineering workflows,” said Buzz Kross, senior vice president, Manufacturing Industry at Autodesk. “T-Splines technology will benefit designers and engineers that require watertight surfaces for downstream analysis and manufacturing.”

The image below is from the T-Splines technology page for T-Splines showing a duck toy model converted from polygons to T-Splines to NURBS. The duck in the middle is done with T-Splines. “All T-Splines surfaces are 100% compatible with NURBS and create gap-free, smooth and manufacturable surfaces.”

It will be no surprise if we can see this added across products like AutoCAD, Revit, Maya, Alias and Inventor in the future. But from what I understand there is a lot of work to make a easy to use UI as it has been missing so far.

Monday, December 19, 2011

Last chance to access AU Virtual 2011 is today

Today is the last day to access AU Virtual 2011. If you want to see a class or the  General Session  Keynote go there now.

image

For my class Autodesk® Network License Manager visit the AU Player and search for Network License Manager.

UPDATE: AU Virtual Classes Have Moved

AU Virtual classes are now available from the Online Classes tab on the AU website. Members can access all AU Virtual class recordings, handouts, and other materials from there.

Friday, December 16, 2011

Autodesk and AutoCAD knowledge base documents

Some recent useful knowledge base documents from Autodesk:

AutoCAD 2011 Hotfix for Complex PLine Measurements

For AutoCAD 2011 with Update 2 installed, this hotfix repairs the area calculation problem of polylines positioned at a great distance from the origin.

Get it here: DL18225251

Autodesk 2012 Content Explorer Service Hot Fix 2

This hotfix applies to the Autodesk 2012 Content Explorer Service (Public and Personal) and addresses the following issues:

  • In some cases renaming a folder in Windows Explorer, which is currently being watched by the Autodesk Content Service, can cause the service to stop running.
  • The Autodesk Content Service could not be started because the size of the database file was larger than the configured maximum size. If you have encountered this issue please follow the steps found in the companion document "Configuring Maximum Database Size in Autodesk Content Service.pdf" after you have installed Hot Fix 2. If you have not encountered this issue these additional steps are not needed.
  • Files fail to index when an English Autodesk Content Service is installed on a Turkish operating system.

Get it here: DL18247986

Comparing the drawing-specific system variables of different DWG files

To compare the drawing-specific system variables of two DWGs, you can convert the drawings to DXF and compare them using a tool that can compare text files, for example the free open source program Winmerge.

Full details here: TS17915749

How to find the product key for your Autodesk product

Starting with the Autodesk 2010 product releases, most Autodesk software required both a serial number and product key to successfully install and activate.

Product keys are used to differentiate products that are both sold independently and sold as part of a product suite. For example, a user installing AutoCAD 2010 would use product key 001B1 while a user installing AutoCAD Revit Architecture Suite 2010 (which includes AutoCAD 2010) would use product key 241B1.  The same AutoCAD is in both software packages but the product key differentiates one package from the other.

Full details here: TS1105767

Monday, December 12, 2011

How to write AutoLISP that works on both Windows and Mac

If you want to write AutoLISP code that works for both AutoCAD on Windows and AutoCAD for Mac remember that there is no support for DCL or COM interfaces such as VLA or VLAX (Visual LISP).

There are 4 new AutoLISP functions in AutoCAD 2012 that can help as long as you don’t need backward compatibility:

  • dumpallproperties - Outputs all the properties and their current value for the specified entity.
  • getpropertyvalue - Returns the current value of the specified property for an entity.
  • ispropertyreadonly - Returns T or nil of the specified property for an entity is read-only or not.
  • setpropertyvalue - Sets the specified property to a new value for an entity.

The following example demonstrates how to get the current radius value of a circle.
Command: (command "_circle" "2,2" 2)
nil
Command: (getpropertyvalue (entlast) "radius")
2.0

The following example demonstrates how to change the radius of a circle.
Command: (command "_circle" "2,2" 2)
nil
Command: (setpropertyvalue (entlast) "radius" 3)

For more see Hyperpics and Accessing Information About Layers in a Drawing with GETPROPERTYVALUE.

Tuesday, December 6, 2011

Autodesk Customer Care on Twitter

Contact  Autodesk Customer Care Team @AutodeskCare on Twitter for issues or questions about Autodesk business services like getting "up and ready" to use your Autodesk software from licensing to activation issues, renewals, suites, registration and versioning questions, cloud provisioning, logins, trial versions, student software, subscription benefits.

Starting December 1st, the Autodesk team will be listening and engaging 24 hours a day, 5 days a week Monday to Friday. Behind the scenes, your hosts on @AutodeskCare are Céline, Camilo, Philip, Angelo, Arlin and Joane. Follow @AutodeskCare

Monday, December 5, 2011

Customize AreaText.LSP to change the text justification

I got a question how to customize this AutoLISP/Visual LISP AreaText.LSP to change the text justification. The solution is to make use of vla-put-attachmentPoint as seen in the example below.

(defun Get-ObjectIDx64 (obj / util)
  (setq util (vla-get-Utility (vla-get-activedocument (vlax-get-acad-object))))
  (if (= (type obj) 'ENAME)(setq obj (vlax-ename->vla-object obj)))
  (if (= (type obj) 'VLA-OBJECT)
    (if (> (vl-string-search "x64" (getvar "platform")) 0)
      (vlax-invoke-method util "GetObjectIdString" obj :vlax-False)
      (rtos (vla-get-objectid obj) 2 0)
    )
  )
)

(defun c:AT (/ entObject entObjectID InsertionPoint ad)
  (vl-load-com)
  (setq entObject (vlax-ename->vla-object(car (entsel)))
        entObjectID (Get-ObjectIDx64 entObject)
        InsertionPoint (vlax-3D-Point (getpoint "Select point: "))
        ad (vla-get-ActiveDocument (vlax-get-acad-object))
  )
  (vla-put-attachmentPoint (vla-addMText (if (= 1 (vla-get-activespace ad))
    (vla-get-modelspace ad)
    (if (= (vla-get-mspace ad) :vlax-true)
      (vla-get-modelspace ad)
      (vla-get-paperspace ad)
    )
  )
  InsertionPoint 0.0 (strcat
  "%<\\AcObjProp Object(%<\\_ObjId "
  entObjectID
  ">%).Area \\f \"%pr2%lu2%ct4%qf1 SQ. FT.\">%"
  )) acAttachmentPointMiddleCenter)
)

acAttachmentPointMiddleCenter can be changed to any of the following Visual LISP constants:

acAttachmentPointTopLeft
acAttachmentPointTopCenter
acAttachmentPointTopRight
acAttachmentPointMiddleLeft
acAttachmentPointMiddleCenter
acAttachmentPointMiddleRight
acAttachmentPointBottomLeft
acAttachmentPointBottomCenter
acAttachmentPointBottomRight

See also Customize AreaText.LSP for AutoCAD and AreaText.lsp updated for 64-bit AutoCAD.

Some of the latest blog posts

Subscribe to RSS headline updates from:
Powered by FeedBurner

Contact Us | About JTB World | Subscribe to this blog
JTB World's website | Website General Terms of Use | Privacy Policy
^ Top of page

© 2004- JTB World. All rights reserved.